[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    display: none !important;
}
body {
    font-family: "Calibri",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}
.material-icons {
    font-size: 20px!important;
    vertical-align: text-top !important;
}
.navbar-nav .nav-item.active {
    position: relative;
}
.navbar-nav .nav-item.active:after {
    position: absolute;
    bottom: 0;
    width: 80%;
    border-bottom: solid 1px #fff;
    content: '';
    left: 10%;
}
.navbar-brand-shine {
    background-color: #038203;
    font-weight: bold;
    padding: 10px;
    border-radius: 10px;
}
.shine-slogan {
    background-color: #2e8212;
    font-size: 1.25rem;   
}
.bg-theme-dark {
    background-color: #006400;
}
.btn-success-dark {
    color: #fff;
    background-color: #2a753a;
    border-color: #19672b;
}
table.table-theme-dark {
    border: solid 1px #006400;
    font-weight: bold;
}

table.table-theme-dark.table-bordered td, table.table-theme-dark.table-bordered th {
    border: solid 1px #092216!important;
}
table.table-theme-dark th{
    background-color: #2962ff;
    color: white;
    font-size: 1.2rem;
    vertical-align: middle;
}
table.table-theme-dark.table-bordered td {
    background-color: #539C00; /** #ecf7fa;*/
    color: white;
    font-size: 14px;
    vertical-align: middle;
}
table.table-theme-dark.table-bordered td span.cell {
    background-color: white;
    color: black;
    padding: 2px 5px;
}
table.table-theme-dark.table-bordered tr:last-child td {
    background-color: yellow;
    color: black;
}
table.table-theme-dark.table-bordered td:last-child, 
table.table-theme-dark.table-bordered tr:last-child td:last-child{
    background-color: white;
    color: black;
}
table.table-centered th{
    text-align: center;
}
table.table-centered td{
    text-align: center;
}
.card.card-theme-dark .card-header {
    background-color: #F77F00;
    color: white;
    font-size: 24px;
}
.chart-container {
    height: 500px;
    background-color: #3b38d1;
    margin-left: -15px;
    margin-right: -15px;
}
.chart-container .highcharts-container {
    margin-left: auto;
    margin-right: auto;
}

.budget-container {
    width: 800px;
}
.table td, .table th {
    padding: 0.3rem;
}
.overflow-x-scroll {
    overflow-y: scroll;
}
.fs-2 {
    font-size: 1.2rem;
}
.fs-3 {
    font-size: 1.3rem;
}
.fs-4 {
    font-size: 1.4rem;
}
.fs-5 {
    font-size: 1.5rem;
}
.text-bold {
    font-weight: bold;
}
/**debt page**/
.debt-chart-container {
    height: 210px;
    padding: 15px;
    background: rgb(237,241,226);
    background: -moz-radial-gradient(circle, rgba(237,241,226,1) 0%, rgba(200,252,70,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(237,241,226,1) 0%, rgba(200,252,70,1) 100%);
    background: radial-gradient(circle, rgba(237,241,226,1) 0%, rgba(200,252,70,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#edf1e2",endColorstr="#c8fc46",GradientType=1);
}

table.table-theme-light {
    font-size: 13;
    border: solid 1px #006400;
}
table.table-theme-light th {
    background-color: #295FFF;
    color: white;
    font-size: 1.2rem;
    border: solid 1px #092216;
}
table.table-theme-light td {
    background-color: yellow;
    color: black;
    border: solid 1px #092216;
    font-size: 14px;
}
table.table-theme-light td:last-child, 
table.table-theme-light tr:last-child td:last-child{
    background-color: white;
    color: black;
}

.btn-tiny {
    padding: .25rem .20rem;
}
table.table-theme-dark.table-bordered td.border-right-white {
    border-right: solid 1px white!important;
} 
table.table-theme-dark.table-bordered td.border-left-white {
    border-left: solid 1px white!important;
}

.table-stock {
    font-weight: bold;
}
.table-stock thead th {
    background-color: #2962ff;
    color: white;
    font-size: 1.4rem;
}

.row-editing {
    width: 115px;
}
.dropdown-item.active, .dropdown-item:active {
    background-color: white;
    color: inherit;
    border-left: solid 3px #006400;
}
.fm-toast {
    opacity: 1;
    font-size: 1rem;
}

.fm-toast .toast-body {
    background-color: #f7f7f7;
    
}
.fm-toast .toast-header {
    border-bottom: solid 1px #cdcdcd;
}
.table-summary thead tr th:first-child{
    text-align: left;
    width: 200px;
}
.table-summary tbody tr td:first-child{
    text-align: left;
}
.mw-1500 {
    min-width: 1500px;
}
.mw-550 {
    min-width: 550px;
}
.bg-purple {
    background-color: #7952b3;
}
.text-purple {
    color: #7952b3;
}
.bg-light-purple {
    background-color: #b977e8;
}
.text-light-purple {
    color: #b977e8;
}

.bg-yellow{
    background-color: yellow;
}
.bg-highlight {
    background-color:#f5f5c6;
}
.bg-orange {
    background-color: #ff4500!important;
}
.border-bottom-lg-dark {
    border-bottom: solid 3px #006400;
}
.table.nowrap tr td {
    white-space: nowrap;
}
.table .updown {
    position: absolute;
    top: -8px;
    left: -10px;
    z-index: 99;
}
.mw-1070 {
    max-width: 1070px;
}
.mw-800 {
    max-width: 800px;
}
.mw-380 {
    max-width: 380px;
}
.mw-450 {
    max-width: 450px;
}
.mw-500 {
    max-width: 500px;
}
.mw-600 {
    max-width: 600px;
}
.mw-150 {
    max-width: 150px;
}
.vh-150 {
    min-height: calc(100vh - 150px);
}
.vh-180 {
    min-height: calc(100vh - 180px);
}
.text-wrap {
    white-space: inherit!important;
}
.auto-size {
    font-size: 3vw;
}
.auto-size-sm {
    font-size: 2vw;
}
/** rotate effect **/
.spinner {
    -webkit-animation:spin 3s linear infinite;
    -moz-animation:spin 3s linear infinite;
    animation:spin 3s linear infinite;
}

@-moz-keyframes spin { 
    100% { -moz-transform: rotate(360deg); } 
}
@-webkit-keyframes spin { 
    100% { -webkit-transform: rotate(360deg); } 
}
@keyframes spin { 
    100% { 
        -webkit-transform: rotate(360deg); 
        transform:rotate(360deg); 
    } 
}

/** auto size **/
@media (min-width: 576px) {
    .fs-auto-md {
        font-size: 1.1rem;
    }
    .fs-auto-sm {
        font-size: 1rem;
    }
}
@media (min-width: 768px) {
    .fs-auto-md {
        font-size: 1.2rem;
    }
    .fs-auto-sm {
        font-size: 1.1rem;
    }
 }

@media (min-width: 992px) { 
    .fs-auto-md {
        font-size: 1.3rem;
    }
    .fs-auto-sm {
        font-size: 1.2rem;
    }
 }

@media (min-width: 1200px) {
    .fs-auto-md {
        font-size: 1.4rem;
    }
    .fs-auto-sm {
        font-size: 1.3rem;
    }
}
@media only screen and (max-width: 768px) {
    .container-with-chart {
        height: calc(100vh - 160px);
        transform: scale(0.45);
        transform-origin: 0 0;
    }
}
.container-wrapper {
    min-height: calc(100vh - 160px);
}
.bank-controls {
    width: 100px;
}
.bank-col-actions {
    width: 50px;
    white-space: nowrap;
}
.glyphicon.glyphicon-chevron-right::after {
    content: '\003e';

}
.glyphicon.glyphicon-chevron-left::after {
    content: '\003c';
}
.uib-day .btn-info .text-info {
    color: white;
}
/** input color picker **/
input[type="color"] {
    height: calc(1.5em + 2px);
} 
